Subject: Ticket Assigned - Feedback or suggestions
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Mon, 23 May 2022 04:52:53 +0000

Hi Mohammed yahya,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Feedback or suggestions I would like to share my bad experience with that branch sales team, I kept waiting for more than an hour at the babyshop section waiting for the sales lady and she was coming and going many times while ignoring my request to ask her. 
Also I tried to ask supervisor she looked at me angry looks like a punishment and she said wait!!! However when i asked for the branch manager to complain also she just said sorry without taking any helpful or positive action. So sad to find that unprofessional staff at centerpoint and will never visit that branch again https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4390481